Create a one-time document payable
POST
/v1/payablesAuthorization
AuthorizationBearer token · headerrequiredPublic API key bearer token.
Query parameters
environmentstringrequiredmerchantAccountIdstringrequiredHeader parameters
Idempotency-KeystringRequired for production-safe retries on mutating routes. Reusing a key with a different request body returns 409.
min length 1
Request body
requiredapplication/jsonsourceTypestringrequiredAllowed:
document_payment_fieldsourceIdstringrequireddocumentIdstringrequiredpaymentFieldIdstringrequiredcustomerExternalIdstringrequiredbillingAccountIdstringrequiredcollectionIntentstringrequiredAllowed:
manualfeePolicyFeePolicyrequiredAdopter fee policy (modeled, not settlement-executed). Structure passed through to Vortex Payments.
dueAtstring<date-time>lineItemsPayableLineItem[]requiredtaxablebooleantaxBehaviorstringAllowed:
inclusiveexclusivetaxClassificationKeystringAllowed:
standard_taxablecustomerTaxAddressTaxAddressShow propertiesHide properties
line1stringrequiredline2stringcitystringrequiredregionstringrequiredpostalCodestringrequiredcountrystringrequiredshipFromAddressTaxAddressShow propertiesHide properties
line1stringrequiredline2stringcitystringrequiredregionstringrequiredpostalCodestringrequiredcountrystringrequiredmetadataMetadatarequiredResponses
200Success
dataobjectrequiredrequestIdstringrequired400Bad request, including malformed JSON
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobject401Missing or invalid API key
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobject409Conflict, including idempotency body drift
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobject422Validation failed
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobject429API key rate limit exceeded
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobjectdefaultError
errorobjectrequiredShow propertiesHide properties
codestringrequiredAllowed:
bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_errormessagestringrequiredrequestIdstringdocsUrlstringDeep link to the errors guide section for this code.
detailsobjectRequest
curl -X POST "https://api.vortex.nyc/v1/payables?environment=string&merchantAccountId=string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"sourceType": "document_payment_field",
"sourceId": "string",
"documentId": "string",
"paymentFieldId": "string",
"customerExternalId": "string",
"billingAccountId": "string",
"collectionIntent": "manual",
"feePolicy": {},
"dueAt": "2024-01-01T00:00:00Z",
"lineItems": [
{}
],
"taxable": true,
"taxBehavior": "inclusive",
"taxClassificationKey": "standard_taxable",
"customerTaxAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"shipFromAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"metadata": {}
}'const response = await fetch("https://api.vortex.nyc/v1/payables?environment=string&merchantAccountId=string", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"sourceType": "document_payment_field",
"sourceId": "string",
"documentId": "string",
"paymentFieldId": "string",
"customerExternalId": "string",
"billingAccountId": "string",
"collectionIntent": "manual",
"feePolicy": {},
"dueAt": "2024-01-01T00:00:00Z",
"lineItems": [
{}
],
"taxable": true,
"taxBehavior": "inclusive",
"taxClassificationKey": "standard_taxable",
"customerTaxAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"shipFromAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"metadata": {}
})
});import requests
response = requests.post(
"https://api.vortex.nyc/v1/payables?environment=string&merchantAccountId=string",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"sourceType": "document_payment_field",
"sourceId": "string",
"documentId": "string",
"paymentFieldId": "string",
"customerExternalId": "string",
"billingAccountId": "string",
"collectionIntent": "manual",
"feePolicy": {},
"dueAt": "2024-01-01T00:00:00Z",
"lineItems": [
{}
],
"taxable": True,
"taxBehavior": "inclusive",
"taxClassificationKey": "standard_taxable",
"customerTaxAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"shipFromAddress": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"metadata": {}
},
)Response
{
"data": {},
"requestId": "string"
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}{
"error": {
"code": "bad_request",
"message": "string",
"requestId": "string",
"docsUrl": "string",
"details": {}
}
}